## motif 0.4.1

=== DESCRIPTION ===
Package: motif
Title: Local Pattern Analysis
Version: 0.4.1
Authors@R: c(
    person(given = "Jakub", family = "Nowosad", 
    role = c("aut", "cre"),
    email = "nowosad.jakub@gmail.com", 
    comment = c(ORCID = "0000-0002-1057-3721")))
Description: Describes spatial patterns of categorical raster data for 
    any defined regular and irregular areas. 
    Patterns are described quantitatively using built-in signatures 
    based on co-occurrence matrices but also allows for 
    any user-defined functions. 
    It enables spatial analysis such as search, change detection,
    and clustering to be performed on spatial patterns (Nowosad (2021) <doi:10.1007/s10980-020-01135-0>).
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Depends: R (>= 3.1)
LinkingTo: comat (>= 0.7.0), Rcpp, RcppArmadillo
Imports: comat, philentropy, Rcpp, sf, stars, tibble
Suggests: covr, dplyr, spdep, knitr, rmarkdown, testthat (>= 2.1.0)
URL: https://nowosad.github.io/motif/
BugReports: https://github.com/Nowosad/motif/issues
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2021-01-29 19:02:02 UTC; jn
Author: Jakub Nowosad [aut, cre] (<https://orcid.org/0000-0002-1057-3721>)
Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
Repository: CRAN
Date/Publication: 2021-02-05 08:30:06 UTC

## motif 0.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: motif
 Title: Local Pattern Analysis
-Version: 0.4.1
+Version: 0.4.3
 Authors@R: c(
     person(given = "Jakub", family = "Nowosad", 
     role = c("aut", "cre"),
@@ -15,7 +15,6 @@
     and clustering to be performed on spatial patterns (Nowosad (2021) <doi:10.1007/s10980-020-01135-0>).
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
 RoxygenNote: 7.1.1
 Depends: R (>= 3.1)
 LinkingTo: comat (>= 0.7.0), Rcpp, RcppArmadillo
@@ -25,8 +24,8 @@
 BugReports: https://github.com/Nowosad/motif/issues
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2021-01-29 19:02:02 UTC; jn
+Packaged: 2021-06-03 11:33:57 UTC; jn
 Author: Jakub Nowosad [aut, cre] (<https://orcid.org/0000-0002-1057-3721>)
 Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-02-05 08:30:06 UTC
+Date/Publication: 2021-06-03 17:10:12 UTC

## motif 0.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: motif
 Title: Local Pattern Analysis
-Version: 0.4.3
+Version: 0.5.0
 Authors@R: c(
     person(given = "Jakub", family = "Nowosad", 
     role = c("aut", "cre"),
@@ -19,13 +19,14 @@
 Depends: R (>= 3.1)
 LinkingTo: comat (>= 0.7.0), Rcpp, RcppArmadillo
 Imports: comat, philentropy, Rcpp, sf, stars, tibble
-Suggests: covr, dplyr, spdep, knitr, rmarkdown, testthat (>= 2.1.0)
+Suggests: covr, dplyr, spdep, knitr, rmarkdown, testthat (>= 2.1.0),
+        terra
 URL: https://nowosad.github.io/motif/
 BugReports: https://github.com/Nowosad/motif/issues
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2021-06-03 11:33:57 UTC; jn
+Packaged: 2021-08-23 12:11:36 UTC; jn
 Author: Jakub Nowosad [aut, cre] (<https://orcid.org/0000-0002-1057-3721>)
 Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-06-03 17:10:12 UTC
+Date/Publication: 2021-08-23 12:50:02 UTC

## motif 0.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: motif
 Title: Local Pattern Analysis
-Version: 0.5.0
+Version: 0.5.2
 Authors@R: c(
     person(given = "Jakub", family = "Nowosad", 
     role = c("aut", "cre"),
@@ -15,18 +15,18 @@
     and clustering to be performed on spatial patterns (Nowosad (2021) <doi:10.1007/s10980-020-01135-0>).
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.0
 Depends: R (>= 3.1)
 LinkingTo: comat (>= 0.7.0), Rcpp, RcppArmadillo
-Imports: comat, philentropy, Rcpp, sf, stars, tibble
+Imports: comat, philentropy (>= 0.6.0), Rcpp, sf, stars, tibble
 Suggests: covr, dplyr, spdep, knitr, rmarkdown, testthat (>= 2.1.0),
         terra
-URL: https://nowosad.github.io/motif/
+URL: https://jakubnowosad.com/motif/
 BugReports: https://github.com/Nowosad/motif/issues
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2021-08-23 12:11:36 UTC; jn
+Packaged: 2022-06-07 00:46:07 UTC; jn
 Author: Jakub Nowosad [aut, cre] (<https://orcid.org/0000-0002-1057-3721>)
 Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-08-23 12:50:02 UTC
+Date/Publication: 2022-06-07 05:10:02 UTC

## motif 0.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: motif
 Title: Local Pattern Analysis
-Version: 0.5.2
+Version: 0.6.1
 Authors@R: c(
     person(given = "Jakub", family = "Nowosad", 
     role = c("aut", "cre"),
@@ -15,7 +15,7 @@
     and clustering to be performed on spatial patterns (Nowosad (2021) <doi:10.1007/s10980-020-01135-0>).
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.3
 Depends: R (>= 3.1)
 LinkingTo: comat (>= 0.7.0), Rcpp, RcppArmadillo
 Imports: comat, philentropy (>= 0.6.0), Rcpp, sf, stars, tibble
@@ -25,8 +25,8 @@
 BugReports: https://github.com/Nowosad/motif/issues
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2022-06-07 00:46:07 UTC; jn
+Packaged: 2023-04-04 18:02:51 UTC; jn
 Author: Jakub Nowosad [aut, cre] (<https://orcid.org/0000-0002-1057-3721>)
 Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-06-07 05:10:02 UTC
+Date/Publication: 2023-04-04 18:30:02 UTC

## motif 0.6.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: motif
 Title: Local Pattern Analysis
-Version: 0.6.1
+Version: 0.6.4
 Authors@R: c(
     person(given = "Jakub", family = "Nowosad", 
     role = c("aut", "cre"),
@@ -25,8 +25,8 @@
 BugReports: https://github.com/Nowosad/motif/issues
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2023-04-04 18:02:51 UTC; jn
+Packaged: 2023-06-29 15:08:20 UTC; jn
 Author: Jakub Nowosad [aut, cre] (<https://orcid.org/0000-0002-1057-3721>)
 Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-04-04 18:30:02 UTC
+Date/Publication: 2023-06-29 18:30:02 UTC

## motif 0.6.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: motif
 Title: Local Pattern Analysis
-Version: 0.6.4
+Version: 0.6.5
 Authors@R: c(
     person(given = "Jakub", family = "Nowosad", 
     role = c("aut", "cre"),
@@ -15,7 +15,7 @@
     and clustering to be performed on spatial patterns (Nowosad (2021) <doi:10.1007/s10980-020-01135-0>).
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Depends: R (>= 3.1)
 LinkingTo: comat (>= 0.7.0), Rcpp, RcppArmadillo
 Imports: comat, philentropy (>= 0.6.0), Rcpp, sf, stars, tibble
@@ -25,8 +25,9 @@
 BugReports: https://github.com/Nowosad/motif/issues
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2023-06-29 15:08:20 UTC; jn
-Author: Jakub Nowosad [aut, cre] (<https://orcid.org/0000-0002-1057-3721>)
+Packaged: 2025-07-26 07:43:38 UTC; jn
+Author: Jakub Nowosad [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-1057-3721>)
 Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-06-29 18:30:02 UTC
+Date/Publication: 2025-07-26 08:20:02 UTC

## motif 2.3.4

=== debian/changelog ===
motif (2.3.4-11) unstable; urgency=medium

  [ Graham Inggs ]
  * Include fixes from upstream 2.3.6 release:
    - fix for upstream bug #1654
    - fix for parallel build of demos
  * Enable parallel build.
  * Enable all hardening options.
  * Fix more spelling errors in manpages, thanks Lintian.
  * Update debian/watch to pick up recent tarballs without '-src'.
  * Bump Standards-Version to 3.9.8, no changes needed.

  [ Paul Gevers ]
  * Add autopkgtest to build tools and demos.

 -- Graham Inggs <ginggs@debian.org>  Mon, 10 Oct 2016 11:08:07 +0200

motif (2.3.4-10) unstable; urgency=medium

  * Migrate from libmotif4-dbg to ddebs, bump debhelper build-dependency.
  * Use secure URIs for VCS fields.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Add support for more Cyrillic locales in UIL,
    thanks Andrey ``Bass'' Shcheglov (Closes: #815144).
  * Fix more spelling errors in libxm and man pages, thanks Lintian.

 -- Graham Inggs <ginggs@debian.org>  Mon, 04 Apr 2016 15:37:11 +0200

motif (2.3.4-9) unstable; urgency=medium

  * Move custom Unity Greeter badge for MWM to unity-greeter-badges
    package in Ubuntu (LP: #1396851).
  * Let libmotif-dev depend on libx11-dev, libxft-dev and libxt-dev.
    (Closes: #779816)
  * Fix function 'Createform' implicitly converted to a pointer
    at main.c:113 in TabStack demo.
  * Disable fix for upstream bug #1565 which caused segfaults in
    ddd and xpdf (Closes: #781995).
  * Remove XmForceGrabKeyboard@Base from d/libxm4.symbols
    which was introduced by upstream's updated fix applied in
    motif 2.3.4-5 (Closes: #782678).
  * Update my email address and copyright years.
  * Fix spelling errors in README.Debian and remove unused
    spelling error override in libxm4, thanks Lintian.
  * Update /usr/X11R6/ paths in manpages to their correct locations.
    (Closes: #783338)
  * Remove transitional packages libmotif3, libmotif4 and motif-clients.

 -- Graham Inggs <ginggs@debian.org>  Mon, 11 Jan 2016 14:46:15 +0200

motif (2.3.4-8) unstable; urgency=medium

  [ Michael Gilbert ]
  * Prepared upload.
  * Remove symbol that was intended to be private. (Closes: #782678)

 -- Paul Gevers <elbrus@debian.org>  Fri, 17 Apr 2015 09:30:32 +0200

motif (2.3.4-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable buggy fix for upstream bug #1565 (closes: #781995).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 12 Apr 2015 19:25:51 +0000

motif (2.3.4-7) experimental; urgency=medium

  * Move custom Unity Greeter badge for MWM to unity-greeter-badges
    package in Ubuntu (LP: #1396851).

 -- Graham Inggs <graham@nerve.org.za>  Wed, 10 Dec 2014 15:30:59 +0200

motif (2.3.4-6) unstable; urgency=medium

  * Bump standards-version to 3.9.6 (no changes).
  * Escape double quotes in mwm.menu-method - Thanks Kevin Ryde
    (Closes: #735621).
  * Fix various type inconsistencies, build-depend on flex (>= 2.5.36)
     - Thanks Michael Tautschnig (Closes: #749417).
  * Remove unnecessary libmotif-common Recommends (Closes: #763861).
  * Include fix for upstream bug #1612.
  * Include fix for upstream bug #1636.

 -- Graham Inggs <graham@nerve.org.za>  Sun, 12 Oct 2014 13:23:42 +0200

motif (2.3.4-5) unstable; urgency=low

  * Link executables and shared libraries with --as-needed.
  * Override spelling errors in binaries.
  * Fix undefined sprintf() usage.
  * Use dh-exec to install /etc/X11/mwm/system.mwmrc-menu.
  * Fix array bounds error in lib/Xm/DataF.c.
  * Fix keyboard navigation of menus (Closes: #730026).

 -- Graham Inggs <graham@nerve.org.za>  Mon, 02 Dec 2013 13:42:26 +0200

motif (2.3.4-4) unstable; urgency=low

  * Provide a libmotif3 transitional package (Closes: #710935)
  * Let the uil package break and replace libmotif-dev (<< 2.3.4)

 -- Graham Inggs <graham@nerve.org.za>  Tue, 04 Jun 2013 19:19:12 +0200

motif (2.3.4-3) unstable; urgency=low

  [ Graham Inggs ]
  * Add lesstif-bin to conflicts in the uil package (Closes: #709923)

 -- Paul Gevers <elbrus@debian.org>  Thu, 30 May 2013 20:54:41 +0200

motif (2.3.4-2) unstable; urgency=low

  [ Graham Inggs ]
  * Fix buffer overrun in lib/Xm/FontS.c.
  * Build Motif with JPEG and PNG support.
  * Fix underlinking of libXt, libXext and libX11.
  * Relocate MWMRCDIR to /etc/X11/mwm.
  * Add custom Unity Greeter badge for MWM.
  * Fix hardcoded path to /usr/lib/X11/rgb.txt in lib/Xm/ColorS.c.
  * Build Motif with Xft anti-aliased fonts support.
  * Link uil executable against libUil.

  [ Paul Gevers ]
  * Update debian/watch, taken from QA.

 -- Paul Gevers <elbrus@debian.org>  Fri, 24 May 2013 19:15:28 +0200

motif (2.3.4-1) experimental; urgency=low

  [ Graham Inggs ]
  * New upstream (Closes: #691393).
  * Rename source package from openmotif to motif.
  * Move from non-free since motif is now LGPL.
  * Update debian/watch.
  * Upgrade to source format 3.0 (quilt) (Closes: #688870)
    - Updated all patches
  * Switch to compatibility level 9.
  * Convert d/rules to dh(1).
  * Update Homepage URL (Closes: #687483)
  * Don't build demos by adding disable option and drop patches against them.
  * Build with --disable-printing and drop Xprint dependency (Closes: #623645).
  * Provide backwards compatibility with libmotif3 (Closes: #635960,
    LP: #818220).
  * Provide display manager entry for Motif Window Manager (LP: #310895)
  * Relocate non-library files from /usr/lib/X11 to /usr/share/X11
  * Update d/control
    - Split non-library files into arch-independent libmotif-common
    - Split uil from libmotif-dev into its own multi-arch: foreign package

  [ Paul Gevers ]
  * Team adoption of (open)motif (Closes: #695130)
  * Remove spurious spaces from d/changelog
  * Completely rewritten copyright file to comply with machine parseble format.
  * Fix several man-page errors in d/rules during install
  * Clean up lintian overrides
  * Update standards-version to 3.9.4 (no changes needed)
  * Update d/control (partial review by d-l10n-english)


=== debian/control ===
Source: motif
Section: x11
Priority: optional
Build-Depends: byacc,
               debhelper (>= 9.20150628),
               dh-autoreconf,
               dh-exec,
               flex (>= 2.5.36),
               libfontconfig1-dev,
               libjpeg-dev,
               libpng-dev,
               libsm-dev,
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxft-dev,
               libxmu-dev,
               libxt-dev,
               xbitmaps
Maintainer: Graham Inggs <ginggs@debian.org>
Uploaders: Paul Gevers <elbrus@debian.org>
Standards-Version: 3.9.8
Homepage: http://motif.ics.com/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/motif.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/motif.git

Package: libmotif-common
Architecture: all
Section: libs
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: x11-common (>= 1:7.0.0), ${misc:Pre-Depends}
Breaks: libmotif3 (<< 2.3.3-2), libmotif4 (<< 2.3.4)
Replaces: libmotif3 (<< 2.3.3-2), libmotif4 (<< 2.3.4)
Description: Motif - common files
 Motif is the industry standard GUI component toolkit for *NIX.
 .
 This package contains Motif common bindings and bitmaps.

Package: libmrm4
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: x11-common (>= 1:7.0.0), ${misc:Pre-Depends}
Breaks: libmotif3 (<< 2.3.3-2), libmotif4 (<< 2.3.4)
Replaces: libmotif3 (<< 2.3.3-2), libmotif4 (<< 2.3.4)
Description: Motif - MRM (Motif Resource Manager) shared library
 Motif is the industry standard GUI component toolkit for *NIX.
 .
 This package contains the MRM (Motif Resource Manager) shared library.

Package: libuil4
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: x11-common (>= 1:7.0.0), ${misc:Pre-Depends}
Breaks: libmotif3 (<< 2.3.3-2), libmotif4 (<< 2.3.4)
Replaces: libmotif3 (<< 2.3.3-2), libmotif4 (<< 2.3.4)
Description: Motif - UIL (User Interface Language) shared library
 Motif is the industry standard GUI component toolkit for *NIX.
 .
 This package contains the UIL (User Interface Language) shared library.

Package: libxm4
Architecture: any
Section: libs
Multi-Arch: same
Depends: libmotif-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: x11-common (>= 1:7.0.0), ${misc:Pre-Depends}
Breaks: libmotif3 (<< 2.3.3-2), libmotif4 (<< 2.3.4)
Replaces: libmotif3 (<< 2.3.3-2), libmotif4 (<< 2.3.4)
Description: Motif - X/Motif shared library
 Motif is the industry standard GUI component toolkit for *NIX.
 .
 This package contains the X/Motif shared library.

Package: uil
Architecture: any
Section: devel
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libmotif-dev (<< 2.3.4)
Replaces: libmotif-dev (<< 2.3.4)
Conflicts: lesstif-bin
Description: Motif - UIL (User Interface Language) compiler
 Motif is the industry standard GUI component toolkit for *NIX.
 .
 This package contains uil, the User Interface Language compiler.

Package: libmotif-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libmrm4 (= ${binary:Version}),
         libuil4 (= ${binary:Version}),
         libx11-dev,
         libxft-dev,
         libxm4 (= ${binary:Version}),
         libxt-dev,
         uil (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: lesstif-bin, lesstif-dev, lesstif-doc, lesstif2-dev
Description: Motif - development files
 Motif is the industry standard GUI component toolkit for *NIX.
 .
 This package provides everything needed for developing Motif
 applications, including header files, static libraries and the API
 manual pages.

Package: mwm
Architecture: any
Multi-Arch: foreign
Depends: menu, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: x11-common (>= 1:7.0.0)
Breaks: motif-clients (<< 2.3.4)
Replaces: motif-clients (<< 2.3.4)
Conflicts: lesstif-bin
Provides: motif-clients, x-window-manager
Description: Motif Window Manager
 Motif is the industry standard GUI component toolkit for *NIX.
 .
 This package contains the Motif Window Manager, which has a clear but
 classical appearance. It is accompanied by xmbind, which is used to
 configure virtual key/mouse-bindings for Motif.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND=-D_FILE_OFFSET_BITS=64
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-printing \
		--disable-demos \
		--enable-jpeg \
		--enable-png \
		--enable-xft \
		--with-mwmrcdir="/etc/X11/mwm" \
		--with-xmbinddir="/usr/share/X11/bindings" \
		--with-x11rgbdir="/etc/X11"

# Can be removed after Stretch release
override_dh_strip:
	dh_strip --ddeb-migration='libmotif4-dbg (<< 2.3.4-10~)'

override_dh_install:
	# Fixing several man page warnings until proper sources are found
	# Comments generated by very old docbook2man were ...\" instead of .\"
	# For proper indexing you probably need to define the IX macro properly
	# DT macro resets tab at the beginning of the man page
	# Make sure the files report their section correctly
	# Update /usr/X11R6/ paths to their correct locations
	find debian/tmp/usr/share/man/ -regex ".*\.[1345]" -exec sed --in-place \
		-e "s/^\.\.\.\\\\"/\.\\\\"/" \
		-e "s/^\.iX *//" \
		-e "s/^\.DT\\$$//" \
		-e "s/^\.TH \(.*\) \"user cmd\"/\.TH \1 1/" \
		-e "s/^\.TH \(.*\) \"library call\"/\.TH \1 3/" \
		-e "s/^\.TH \(.*\) 3x/\.TH \1 3/" \
		-e "s/^\.TH \(.*\) 3X/\.TH \1 3/" \
		-e "s/^\.TH \(.*\) \"special file\"/\.TH \1 4/" \
		-e "s/^\.TH \(.*\) \"file formats\"/\.TH \1 5/" \
		-e "s/\/usr\/lib\/X11\/rgb.txt/\/etc\/X11\/rgb.txt/g" \
		-e "s/\/usr\/X11R6\/lib\/X11\/app-defaults/\/etc\/X11\/app-defaults/g" \
		-e "s/\/usr\/X11R6\/lib\/X11/\/etc\/X11\/mwm/g" \
		-e "s/\/usr\/X11R6\/bin\/X11/\/usr\/bin/g" \
		-e "s/\/usr\/X11R6\/include/\/usr\/include/g" \
		{} \;

	dh_install

override_dh_installwm:
	dh_installwm --priority=50

=== debian/tests/control ===
Tests: build-demos
Depends: build-essential, byacc, debhelper (>=9), dh-autoreconf, flex (>=2.5.36), libmotif-dev, libxext-dev
Restrictions: allow-stderr, rw-build-tree

## motif 2.3.7

=== debian/changelog ===
motif (2.3.7-2) unstable; urgency=medium

  * Revert redefining yyleng in fix-type-inconsistencies.patch,
    thanks James Clarke (Closes: #870773)
  * Disable PIE on x32, thanks James Clarke
  * Bump Standards-Version to 4.1.0, no changes needed

 -- Graham Inggs <ginggs@debian.org>  Tue, 05 Sep 2017 09:09:54 +0000

motif (2.3.7-1) unstable; urgency=medium

  * New upstream release (Closes: #840762)
  * Drop patches included upstream, refresh and rename remaining
  * Drop override_dh_strip, ddeb migration is complete
  * Drop build-dependency on dh-autoreconf
  * Update debian/copyright
  * Bump Standards-Version to 4.0.0, no further changes
  * Enable building demos again since parallel build is fixed
  * Update autopkgtest
  * Fix another spelling error in manpages, thanks Lintian
  * Pass hardening flags
  * Revert fix for upstream bug #1617 which caused segfault in TabStack demo

 -- Graham Inggs <ginggs@debian.org>  Fri, 04 Aug 2017 15:26:49 +0200

motif (2.3.4-13) unstable; urgency=medium

  * Add libfl-dev to debian/tests/control as well.

 -- Graham Inggs <ginggs@debian.org>  Fri, 09 Dec 2016 19:27:51 +0200

motif (2.3.4-12) unstable; urgency=medium

  * Add libfl-dev to Build-Depends (Closes: #846443).
  * Switch to debhelper compat level 10.

 -- Graham Inggs <ginggs@debian.org>  Mon, 05 Dec 2016 13:04:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: x11
 Priority: optional
 Build-Depends: byacc,
-               debhelper (>= 9.20150628),
-               dh-autoreconf,
+               debhelper (>= 10),
                dh-exec,
-               flex (>= 2.5.36),
+               flex,
+               libfl-dev (>= 2.6.1),
                libfontconfig1-dev,
                libjpeg-dev,
                libpng-dev,
@@ -19,7 +19,7 @@
                xbitmaps
 Maintainer: Graham Inggs <ginggs@debian.org>
 Uploaders: Paul Gevers <elbrus@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://motif.ics.com/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/motif.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/motif.git

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,14 @@
 
 export DEB_CFLAGS_MAINT_APPEND=-D_FILE_OFFSET_BITS=64
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+ifeq ($(DEB_HOST_ARCH),x32)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+else
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+endif
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -13,17 +17,12 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--disable-printing \
-		--disable-demos \
 		--enable-jpeg \
 		--enable-png \
 		--enable-xft \
 		--with-mwmrcdir="/etc/X11/mwm" \
 		--with-xmbinddir="/usr/share/X11/bindings" \
 		--with-x11rgbdir="/etc/X11"
-
-# Can be removed after Stretch release
-override_dh_strip:
-	dh_strip --ddeb-migration='libmotif4-dbg (<< 2.3.4-10~)'
 
 override_dh_install:
 	# Fixing several man page warnings until proper sources are found

## motif 2.3.8

=== debian/changelog ===
motif (2.3.8-3) unstable; urgency=medium

  [ Graham Inggs ]
  * Switch to debhelper 13, add debian/not-installed
  * Drop dh-exec, not needed with debhelper 13
  * Do not link with -Wl,--as-needed, it is now the default
  * Set Rules-Requires-Root: no
  * Add Build-Depends-Package: libmotif-dev to symbols files
  * Use secure URIs in debian/watch and upstream Homepage
  * Fix more spelling errors in manpages, thanks Lintian
  * Bump Standards-Version to 4.5.0, no changes

  [ Helmut Grohne ]
  * Fix AC_CHECK_FILE abuse (Closes: #928872)

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 2.3.3-1.

 -- Graham Inggs <ginggs@debian.org>  Thu, 02 Jul 2020 09:30:19 +0000

motif (2.3.8-2) unstable; urgency=medium

  * Update Vcs-* URIs for move to salsa.debian.org
  * Turn debhelper up to 11
  * Update debian/copyright
  * Enable PIE on x32 since recent upload of flex
  * Bump Standards-Version to 4.1.3, no changes needed

 -- Graham Inggs <ginggs@debian.org>  Sat, 17 Feb 2018 15:34:08 +0000

motif (2.3.8-1) unstable; urgency=medium

  * New upstream release
  * Drop patch included upstream, refresh remaining
  * Bump Standards-Version to 4.1.2, no changes needed

 -- Graham Inggs <ginggs@debian.org>  Sat, 16 Dec 2017 14:35:32 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: x11
 Priority: optional
 Build-Depends: byacc,
-               debhelper (>= 10),
-               dh-exec,
+               debhelper-compat (= 13),
                flex,
                libfl-dev (>= 2.6.1),
                libfontconfig1-dev,
@@ -19,10 +18,11 @@
                xbitmaps
 Maintainer: Graham Inggs <ginggs@debian.org>
 Uploaders: Paul Gevers <elbrus@debian.org>
-Standards-Version: 4.1.0
-Homepage: http://motif.ics.com/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/motif.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/motif.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://motif.ics.com/
+Vcs-Browser: https://salsa.debian.org/debian/motif
+Vcs-Git: https://salsa.debian.org/debian/motif.git
 
 Package: libmotif-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,10 @@
 #!/usr/bin/make -f
 
 export DEB_CFLAGS_MAINT_APPEND=-D_FILE_OFFSET_BITS=64
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
-ifeq ($(DEB_HOST_ARCH),x32)
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
-else
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-endif
 
 %:
 	dh $@
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -25,6 +17,10 @@
 		--with-x11rgbdir="/etc/X11"
 
 override_dh_install:
+	# MWM needs a copy of system.mwmrc named system.mwmrc-menu
+	# as a template for update-menus
+	mv debian/tmp/etc/X11/mwm/system.mwmrc debian/tmp/etc/X11/mwm/system.mwmrc-menu
+
 	# Fixing several man page warnings until proper sources are found
 	# Comments generated by very old docbook2man were ...\" instead of .\"
 	# For proper indexing you probably need to define the IX macro properly

=== debian/watch ===
version=3
https://qa.debian.org/watch/sf.php/motif/motif-(\d.*)(?:-src|)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
